unit config_dosbox;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, Mask, JvToolEdit, Buttons, JvPlacemnt, mystring,
  JvComponent, XPMan, JvPanel;

type
  Tfrm_dosbox_config = class(TForm)
    lbl_path2dosbox: TLabel;
    lbl_mypathcaption: TLabel;
    lbl_mypath: TLabel;
    lbl_configfile: TLabel;
    edit_PathToDosbox: TJvDirectoryEdit;
    cb_autosnapdir: TCheckBox;
    edit_configfile: TEdit;
    JvFormStorage1: TJvFormStorage;
    btn_close: TBitBtn;
    lbl_config_file_warning: TLabel;
    XPManifest1: TXPManifest;
    pnl_project_config: TJvPanel;
    Image3: TImage;
    cb_showhints: TCheckBox;
    procedure lbl_path2dosboxClick(Sender: TObject);
    procedure lbl_mypathClick(Sender: TObject);
    procedure cb_showhintsClick(Sender: TObject);
    procedure btn_closeClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  frm_dosbox_config: Tfrm_dosbox_config;

implementation

uses dbkf_main, config_project;

{$R *.dfm}

procedure Tfrm_dosbox_config.lbl_path2dosboxClick(Sender: TObject);
var
  s : string;
begin
  s := 'explorer.exe '+edit_pathtodosbox.edittext+#0;
	winexec( @s[1], SW_SHOWNORMAL );
end;

procedure Tfrm_dosbox_config.lbl_mypathClick(Sender: TObject);
var
  s : string;
begin
  s := nolastbackslash( MyPath );
  s := 'explorer.exe '+s+#0;
	winexec( @s[1], SW_SHOWNORMAL );
end;

procedure Tfrm_dosbox_config.cb_showhintsClick(Sender: TObject);
begin
  ShowHint := cb_showhints.checked;
  dbkf.ShowHint := cb_showhints.Checked;
  frm_project_config.ShowHint := cb_showhints.checked;
end;

procedure Tfrm_dosbox_config.btn_closeClick(Sender: TObject);
begin
  close;
end;

end.
