;
;  Filename.....: setup_dbfrontend.iss
;  Aufgabe......: Setup fr dbfrontend.exe
;
;  Erstellt am..: 8.02.2004
;        _  __      _ _
;   ||| | |/ /     (_) |        Wirtschaftsinformatiker IHK
;  \. ./| ' / _ __  _| |_ ___   knito@knito.de
;  - ^ -|  < | '_ \| | __/ _ \
;  / - \| . \| | | | | || (_) | Peter Klauer
;   ||| |_|\_\_| |_|_|\__\___/  06131-651236
;  nderungen:
;
;

[Setup]

AppName=DBFrontend
AppVerName=DBFrontend V 0.5
AppPublisher=Peter Klauer
AppPublisherURL=http://www.ingoknito.de
;AppSupportURL=http://www.ingoknito.de
;AppUpdatesURL=http://www.ingoknito.de
DefaultDirName={pf}\DBFrontend
DefaultGroupName=DBFrontend
UninstallDisplayIcon={app}\dbfrontend.exe
UninstallDisplayName=DOSBox Frontend

SourceDir=D:\Daten\Source\D7\dbfrontend
LicenseFile=eula.txt
;
; Nach Fehlinstallation durch DAU wird
; die Installation nur noch von Admins durchgefhrt.
; Problem: Schreiben nach "All Users" schlgt fehl.
;
PrivilegesRequired=admin


;
; DisableDirPage auf yes fhrt in Inno Setup 2
; zu seltsamen Vorgngen bei der Programmverteilung
; und dem WorkingDir. Erst mit whlbarem Verzeichnis klappt alles.
; Dies scheint ein Bug im Inno Setup 2 zu sein.
; Mittlerweile mag ich die Mglichkeit, das Zielverzeichnis
; zu whlen und schalte es nicht mehr ab. :-)
;
DisableDirPage=no

DisableStartupPrompt=yes
DisableReadyPage=yes
DisableProgramGroupPage=yes
DisableFinishedPage=no

;
; In dieses Verzeichnis soll die Setup-Datei
; gelegt werden.
;
OutputDir=D:\Daten\Source\D7\dbfrontend\innosetup\output

;
; Der Vorgabewert fr OutputBaseFilename ist "Setup",
; so dass standardmig die Datei "Setup.exe"
; erzeugt wird. Ich mchte einen "sprechenden" Namen
; haben.
;
OutputBaseFilename=Setup_dbfrontend


;
; Hintergrundfenster
; muss erstmal sichtbar gemacht werden mit WindowVisible
; Dann die Titelzeile weg mit WindowShowCaption
; Unvernderbare Gre mit WindowResizable
; Unten rechts der Copyrighthinweis der ZPT mit AppCopyRight
;
WindowVisible=yes
WindowShowCaption=no
WindowResizable=no
AppCopyright=Copyright  2004  Peter Klauer (www.ingoknito.de)

;DetectLanguageUsingLocale= yes
;ShowLanguageDialog=yes
;
; wird nach der Installation angezeigt
;
;InfoAfterFile=readme.rtf

;[Languages]
;Name: "de"; MessagesFile: "compiler:German-2-3.0.4.isl"
;Name: "en"; MessagesFile: "compiler:Default.isl"


[Messages]
;
; Dieser Schriftzug erscheint in der Dialogbox des
; Setups als "eingraviert" links neben der eingravierten Linie.
;
BeveledLabel=Copyright  2004  Peter Klauer (www.ingoknito.de)


[Tasks]
Name: desktopicon; Description: Create a &desktop icon; GroupDescription: Additional icons:
Name: quicklaunchicon; Description: Create a &Quick Launch icon; GroupDescription: Additional icons:; Flags: unchecked

[Files]
Source: D:\Daten\Source\d7\dbfrontend\dbfrontend.exe; DestDir: {app}; Flags: ignoreversion
;Source: D:\Daten\Source\d7\dbfrontend\dbfrontend.hlp; DestDir: {app}; Flags: ignoreversion
Source: D:\Daten\Source\d7\dbfrontend\eula.txt; DestDir: {app}; Flags: ignoreversion
Source: D:\Daten\Source\d7\dbfrontend\config_0_61.cfg; DestDir: {app}; Flags: ignoreversion
Source: D:\Daten\Source\d7\dbfrontend\config_0_61_a.cfg; DestDir: {app}; Flags: ignoreversion
Source: D:\Daten\Source\d7\dbfrontend\snaps\dummy.txt; DestDir: {app}\snaps; Flags: ignoreversion

Source: D:\Daten\Source\d7\dbfrontend\lang\deutsch.xml; DestDir: {app}\lang; Flags: ignoreversion
Source: D:\Daten\Source\d7\dbfrontend\lang\english.xml; DestDir: {app}\lang; Flags: ignoreversion
Source: D:\Daten\Source\d7\dbfrontend\lang\francais.xml; DestDir: {app}\lang; Flags: ignoreversion
Source: D:\Daten\Source\d7\dbfrontend\lang\palatina.xml; DestDir: {app}\lang; Flags: ignoreversion
Source: D:\Daten\Source\d7\dbfrontend\lang\palatina.txt; DestDir: {app}\lang; Flags: ignoreversion
Source: D:\Daten\Source\d7\dbfrontend\lang\dansk.xml; DestDir: {app}\lang; Flags: ignoreversion
Source: D:\Daten\Source\d7\dbfrontend\lang\lang.ini; DestDir: {app}\lang; Flags: ignoreversion
; NOTE: Don't use "Flags: ignoreversion" on any shared system files

[Icons]
Name: {group}\dbfrontend; Filename: {app}\dbfrontend.exe
Name: {userdesktop}\dbfrontend; Filename: {app}\dbfrontend.exe; Tasks: desktopicon
Name: {userappdata}\Microsoft\Internet Explorer\Quick Launch\dbfrontend; Filename: {app}\dbfrontend.exe; Tasks: quicklaunchicon

[Run]
Filename: {app}\dbfrontend.exe; Description: Launch dbfrontend; Flags: nowait postinstall skipifsilent

[languages]
Name: "en"; MessagesFile: "compiler:default.isl"

